package com.qmth.jkserver.model;

//import java.io.Serializable;
//import java.util.Date;
//
//import org.springframework.data.annotation.Id;
//import org.springframework.data.mongodb.core.index.Indexed;
//import org.springframework.data.mongodb.core.mapping.Document;
//import org.springframework.data.mongodb.core.mapping.Field;
//
//import com.qmth.jkserver.dto.SolfegeKjResultDto;
//
///**
// * 视唱机考考生答案上传历史记录
// *
// * @author tianjun
// *
// */
//@Document(collection = "jk_solfege_kj_history")
//public class SolfegeKjHistory implements Serializable {
//
//	/**
//	 *
//	 */
//	private static final long serialVersionUID = 3554219466999654219L;
//
//	@Id
//	private String id;
//
//	@Indexed
//	@Field("exam_code")
//	private String examCode;
//
//	@Field("ticket_no")
//	private String ticketNo;
//
//	@Field("record_file")
//    //TODO 待关联
//	private Attachment recordFile;
//
//	@Field("result_dto")
//    //TODO 待拆解和关联
//	private SolfegeKjResultDto solfegeKjResultDto;
//
//	@Field("time")
//	private Date time;
//
//	public SolfegeKjResultDto getSolfegeKjResultDto() {
//		return solfegeKjResultDto;
//	}
//
//	public void setSolfegeKjResultDto(SolfegeKjResultDto solfegeKjResultDto) {
//		this.solfegeKjResultDto = solfegeKjResultDto;
//	}
//
//	public String getId() {
//		return id;
//	}
//
//	public void setId(String id) {
//		this.id = id;
//	}
//
//	public String getExamCode() {
//		return examCode;
//	}
//
//	public void setExamCode(String examCode) {
//		this.examCode = examCode;
//	}
//
//	public String getTicketNo() {
//		return ticketNo;
//	}
//
//	public void setTicketNo(String ticketNo) {
//		this.ticketNo = ticketNo;
//	}
//
//	public Date getTime() {
//		return time;
//	}
//
//	public void setTime(Date time) {
//		this.time = time;
//	}
//
//	/**
//	 * @return the recordFile
//	 */
//	public Attachment getRecordFile() {
//		return recordFile;
//	}
//
//	/**
//	 * @param recordFile the recordFile to set
//	 */
//	public void setRecordFile(Attachment recordFile) {
//		this.recordFile = recordFile;
//	}
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 视唱机考考生答案上传历史记录
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value = "JkSolfegeKjHistory对象", description = "视唱机考考生答案上传历史记录")
@TableName("jk_solfege_kj_history")
public class SolfegeKjHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "准考证号")
    private String ticketNo;

    @ApiModelProperty(value = "考试记录id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long recordFileId;

    @ApiModelProperty(value = "考试记录相关信息")
    private String resultDto;

    @ApiModelProperty(value = "创建时间")
    private Long time;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getTicketNo() {
        return ticketNo;
    }

    public void setTicketNo(String ticketNo) {
        this.ticketNo = ticketNo;
    }

    public Long getRecordFileId() {
        return recordFileId;
    }

    public void setRecordFileId(Long recordFileId) {
        this.recordFileId = recordFileId;
    }

    public String getResultDto() {
        return resultDto;
    }

    public void setResultDto(String resultDto) {
        this.resultDto = resultDto;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }
}
