package com.qmth.jkserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.jkserver.dao.StudentInfoTempDao;
import com.qmth.jkserver.model.StudentInfoTemp;
import com.qmth.jkserver.service.JkStudentInfoTempService;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 学生信息临时表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@Service
@Scope(proxyMode = ScopedProxyMode.INTERFACES)
public class JkStudentInfoTempServiceImpl extends ServiceImpl<StudentInfoTempDao, StudentInfoTemp> implements JkStudentInfoTempService {

}
