package com.qmth.file.dao;

//import com.qmth.file.model.ExamPlan;
//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.data.repository.query.QueryByExampleExecutor;
//import org.springframework.stereotype.Repository;
//
//import java.util.List;
//
//@Repository
//public interface ExamPlanDao extends MongoRepository<ExamPlan, String>, QueryByExampleExecutor<ExamPlan> {
//
//	public List<ExamPlan> findByExamCode(String examCode);
//
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.file.model.ExamPlan;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考试计划 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface ExamPlanDao extends BaseMapper<ExamPlan> {

    public List<ExamPlan> findByExamCode(@Param("examCode") String examCode);
}