package com.qmth.jkserver.core.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.qmth.jkserver.enums.LoginStatus;

/**
 * 登录状态校验
 * @author tianjun
 *
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface LoginValidate {

   LoginStatus status() default LoginStatus.OK ;


}
