package com.qmth.jkserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.jkserver.dao.SyncDataDao;
import com.qmth.jkserver.model.SyncData;
import com.qmth.jkserver.service.SyncDataService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Service;

/**
 * @Description: 机考同步数据 impl
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/11/15
 */
@Service
@Scope(proxyMode = ScopedProxyMode.INTERFACES)
public class SyncDataServiceImpl extends ServiceImpl<SyncDataDao, SyncData> implements SyncDataService {
    private static final Logger log = LoggerFactory.getLogger(SyncDataServiceImpl.class);

}
